#include<bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(false);
    int n,q;
    cin >> n >> q;
    vector<int> glas(n);
    for(int i = 0; i < n; i++){
        cin >> glas[i];
    }
    for(int i = 0; i < q; i++){
        int w;
        int vece = 0;
        int manje = 0;
        int jednako = 0;
        cin >> w;
        for(int j = 0; j < n; j++){
            if(glas[j] > w){
                vece++;
            }
            else if(glas[j] < w){
                manje++;
            }
            else{
                jednako++;
            }
        }
        if(jednako > 0 && vece != manje){
            cout << abs(vece-manje) - 1 << "\n";
        }
        else if(jednako == 0 && vece == manje){
            cout << 1 << "\n";
        }
        else{
            cout << abs(vece-manje) << "\n";
        }
    }
}